
// Errore di validazione. Chiede conferma
// Setta colore di sfondo della casella/caselle email
// Mostra popup con messaggio di errore

function emailValidateError(email1, email2, msg, level, conferma) {
    var colorError = "#ffff9d";
    var resp = false;

    if (email1 != null) {
        document.getElementById(email1).style.backgroundColor = colorError;
    }
	
	if (email2 != null) {
        document.getElementById(email2).style.backgroundColor = colorError;
    }
	
    if (conferma == 'true') {
		var answer = confirm(msg.replace('<br/>','\n').replace('<br/>','\n') + "\n\nVuole procedere comunque?")
		if (answer){
			document.formEmail.submit();
		}
	} else {
		document.getElementById("light").style.display = "block";
		document.getElementById("fade").style.display = "block";
		document.getElementById("imgValEmail").src = (level>0 ? "/common/img/mf/pop_up_windows/attenzione.gif" : "/common/img/mf/pop_up_windows/stop.jpg");
		document.getElementById("msgErrore").innerHTML = msg;
	}
}


// Validazione OK
// Setta colore di sfondo della casella/caselle email
function emailValidateOk(email1, email2,conferma) {
    var colorOk = "#99ff33";

    document.getElementById(email1).style.backgroundColor = colorOk;
    if (email2 != null) {
        document.getElementById(email2).style.backgroundColor = colorOk;
    }
	
	if (conferma == 'true') {
		document.formEmail.submit();
	} 
    
    return true;
}

// Chiama WS per validazione email
// Email1 - mail da validare
// Email2 (opzionale) - se specificato verifica che sia uguale a email1

function emailValidate(email1, email2, conferma) {
    var emailC = null;
    var emailConf = null;
    var validate = true;
	if (conferma == null) conferma ='false';
	
    if (email1 != null) {
        emailC = document.getElementById(email1).value;

        if (email2 != null) {
            emailConf = document.getElementById(email2).value;
            if (emailC != emailConf) {
                emailValidateError(email1, email2, "ATTENZIONE: ha inserito due indirizzi email differenti.", 1);
                validate = false;
            }
        }

        if (validate) {
            emailValidateOk(email1, email2, conferma);
        }
    }
    else {
        emailValidateError(email1, email2, "ERRORE: Errore chiamata validate. Parametri mancanti", 0, conferma);
    }
}

function getVerificaCodice()
{
	var codice = document.getElementById("codice_promo").value; 
	//alert(codice);
	if (codice!='') {
		document.getElementById("load_dati").style.display = 'block';
		document.getElementById("msgCodice").innerHTML = '';
		
		new Ajax.Request('/abbonamento/gestione_codici_promo.asp',
		{   method:'get',
			parameters: {azione: "verificaCodice", codice: codice},
			onSuccess: function(transport){    
			var response = transport.responseText;
								
			//Icona che simula il caricamento
			document.getElementById("load_dati").style.display = 'none';
			
			//alert(response);
			
			//div da visualizzare una volta caricato
			document.getElementById("msgCodice").style.display = 'block';
			document.getElementById("msgCodice").innerHTML = response;
		}				
		});
	}
}

function getDatiSpedizione()
{
	if (document.form.spedizione.checked)
	{
		document.getElementById("datiSped").style.display = 'block';
	} else {
		document.getElementById("datiSped").style.display = 'none';
	}
}

function hideMasthead()
{
	document.getElementById("idMasthead").style.display = 'none';
}



